# ezQuake Manual: Demo Handling Variables

## cl_demoPingInterval

### Description

How often to request ping updates when recording demos. This variable doesn't affect ping updates when the scoreboard is shown (they are always one update per 2 seconds).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

### Values

value | description
0 | Disable automatic ping requests.

## cl_demospeed

### Description

Controls the speed of demo playback in percentage (can be changed during demo playback if you wish).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## demo_autotrack

### Description

Enables server-side autotrack to be accepted

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

Server-side autotrack is recorded in MVD demos and in QTV stream allowing all the observers of the match observe the same player at the same time

## demo_benchmarkdumps

### Description

Allows you to automatically dump timedemo benchmark results into $log_dir/timedemo.log file. The output is in XML markup format and contains info about your operating system, hardware configuration, client version, rendering, screen resolution and the result FPS.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Dump results of timedemo benchmark
0 | Disable timedemo result dumping

See timedemo command description for more info. Note: The result file is not a well-formed XML file.

## demo_browser_democolor

### Description

Color of the demo entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.

## demo_browser_dircolor

### Description

Color of the dir entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 170 80 0 255

Variable is string.

## demo_browser_interline

### Description

Size of the space between entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## demo_browser_scrollnames

### Description

Toggle scrolling of the filenames in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## demo_browser_selectedcolor

### Description

Color of the selected entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 150 235 255

Variable is string.

## demo_browser_showdate

### Description

Toggle the date column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## demo_browser_showsize

### Description

Toggle the file size column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## demo_browser_showstatus

### Description

Toggle the display of the status bar in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## demo_browser_showtime

### Description

Toggle the time column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## demo_browser_sortmode

### Description

Sorting mode in the demo browser. Each number represents one column. Their order represents the priority of the sorting.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is string.

## demo_browser_stripnames

### Description

Toggle stripping of the filenames in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## demo_browser_zipcolor

### Description

Color of the zip entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 170 0 255

Variable is string.

## demo_capture_codec

### Description

Determines what codes should be used for captured video stream compression. E.g. XVID, DIVX, ...

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## demo_capture_dir

### Description

Change the default capture directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: capture

Variable is float.

## demo_capture_fps

### Description

Change the default capture fps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30.0

Variable is float.

## demo_capture_mp3

### Description

When set to 1 .avi capturing captures sound compressed in MP3 format.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Captures sound in MP3 format
0 | Captures uncompressed sound

See demo_capture_mp3_kbps too.

## demo_capture_mp3_kbps

### Description

Sets bitrate for captured sound stream when demo_capture_mp3 is set to 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 128

Variable is float.

## demo_capture_steadycam

### Description

Changes behaviour of keyboard/mouse input when capturing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## demo_dir

### Description

Change the demos and autorecord directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

## demo_format

### Description

Specifies the demo file format used when recording demo with Match tools.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: mvd

### Values

value | description
qwd | Original QuakeWorld demo format.
qwz | Qizmo compressed demo.
mvd | MultiView Demo, usually contains less frames per second.

See qwdtools_dir, qizmo_dir, match_auto_record.

## demo_getpings

### Description

This toggles whether the client should always record pings into the demo or only when the player died and show(team)scores are being shown (QWCL default).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | always update pings
0 | only update pings in the demo when the player died and show(team)scores are being shown

## qizmo_dir

### Description

Change the default qizmo directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: qizmo

Variable is float.

## qwdtools_dir

### Description

Specifies the qwdtools utility placement

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: qwdtools

Variable is string.
Use path relative to you quakedir

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs